.button {
  @include bold-black-link;

  display: flex;
  align-items: center;
  justify-content: center;

  border-radius: rem(8);
  cursor: pointer;

  &--green {
    @include green-btn;

    &:active {
      box-shadow: none;
    }

    height: rem(60);
    padding: 0 rem(36);

    color: $white;
  }

  &--gray {
    @include gray-btn;

    &:active {
      @include gray-btn-active;
    }

    height: rem(50);
    padding: 0 rem(30);

    color: $black;
  }

  &--transparent {
    height: rem(50);
    padding: 0 rem(29);

    color: $white;

    border: rem(2) solid rgba($white, .3);
    background: transparent;

    &:hover {
      color: $green;
      border-color: $green;
    }
  }

  &[disabled], &.button--disabled {
    opacity: .4;
  }
}
